using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcApp27.Models;

namespace TelerikMvcApp27.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            var data = Enumerable.Range(1, 50).Select(i => new ShipmentInfo
            {
                ShipName = "ShipName " + i,
                ShipCity = "ShipCity " + i,
                ShipCountry = "ShipCountry " + i
            });
            ViewBag.shipmentInfo = data;
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
